package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户录取率对象 mall_member_rate
 *
 * @author ruoyi
 * @date 2024-07-13
 */
public class MallMemberRate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户录取率记录id */
    @Excel(name = "用户录取率记录id")
    private Long rateId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 学校id */
    @Excel(name = "学校id")
    private Long schoolId;

    /** 专业id */
    @Excel(name = "专业id")
    private Long linkId;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 学科 */
    @Excel(name = "学科")
    private String subjectType;

    /** 录取率 */
    @Excel(name = "录取率")
    private BigDecimal acceptRate;

    /** 展示录取率 */
    @Excel(name = "展示录取率")
    private String showAcceptRate;

    /** 类型0-搏一搏,1-可冒险,2-较稳妥,3-可保底 */
    @Excel(name = "类型0-搏一搏,1-可冒险,2-较稳妥,3-可保底")
    private Integer rateType;

    /** 删除标记0-正常,1-删除 */
    private Integer delFlag;

    public void setRateId(Long rateId)
    {
        this.rateId = rateId;
    }

    public Long getRateId()
    {
        return rateId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setSchoolId(Long schoolId)
    {
        this.schoolId = schoolId;
    }

    public Long getSchoolId()
    {
        return schoolId;
    }
    public void setLinkId(Long linkId)
    {
        this.linkId = linkId;
    }

    public Long getLinkId()
    {
        return linkId;
    }
    public void setBatchId(Long batchId)
    {
        this.batchId = batchId;
    }

    public Long getBatchId()
    {
        return batchId;
    }
    public void setSubjectType(String subjectType)
    {
        this.subjectType = subjectType;
    }

    public String getSubjectType()
    {
        return subjectType;
    }
    public void setAcceptRate(BigDecimal acceptRate)
    {
        this.acceptRate = acceptRate;
    }

    public BigDecimal getAcceptRate()
    {
        return acceptRate;
    }
    public void setShowAcceptRate(String showAcceptRate)
    {
        this.showAcceptRate = showAcceptRate;
    }

    public String getShowAcceptRate()
    {
        return showAcceptRate;
    }
    public void setRateType(Integer rateType)
    {
        this.rateType = rateType;
    }

    public Integer getRateType()
    {
        return rateType;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("rateId", getRateId())
            .append("userId", getUserId())
            .append("schoolId", getSchoolId())
            .append("linkId", getLinkId())
            .append("batchId", getBatchId())
            .append("subjectType", getSubjectType())
            .append("acceptRate", getAcceptRate())
            .append("showAcceptRate", getShowAcceptRate())
            .append("rateType", getRateType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
